/* file drawmap-menu.h */

/* ================ Project Menu ===================== */

#define PROJECT     0

#define HELP        0
#define SAVEIT      1
#define SAVE_CONFIG 2
#define PRINT       3
#define CLEARS      4
#define QUIT        5

/* ================ Boundaries Menu ===================== */

#define BOUNDARIES   1

#define COASTLINES   0
#define COUNTRIES    1
#define STATES       2
#define ISLANDS      3
#define LAKES        4
#define RIVERS       5
#define DETAIL_LEVEL 6

#define HIGH         0
#define MED_HIGH     1
#define MEDIUM       2
#define MED_LOW      3
#define LOW          4

/* ================ Maps Menu ===================== */

#define MAPS     2

#define PLANE    0

#define FLAT     0
#define MERCATOR 1

#define SPHERE   1

#define GLOBE    0
#define ORBITAL  1
#define ZOOM_IN  2
#define ZOOM_OUT 3

#define BOXES        2

#define BOX          0
#define BOX_ZOOM_IN  1
#define BOX_ZOOM_OUT 2

#define REDRAW       3

/* ================ Colors Menu ===================== */

#define COLORS        3

#define PALETTE       0
#define RESET_COLOR   1
#define FLOOD_COLOR   2
#define LINE_COLOR    3
#define TEXT_COLOR    4
#define COAST_COLOR   5
#define COUNTRY_COLOR 6
#define STATE_COLOR   7
#define ISLAND_COLOR  8
#define LAKE_COLOR    9
#define RIVER_COLOR  10

/* ================ Edit Menu ===================== */

#define EDIT      4

#define GRID      0
#define FLOOD     1
#define DRAW_LINE 2
#define SHADOW    3
#define TEXT      4
#define TTOGGLE   5

/* ================ MenuItem Widths ===================== */

#define MWIDTH_PROJECT      (8*13+10+COMMWIDTH)
#define MWIDTH_BOUNDARIES   (8*12+CHECKWIDTH+5)
#define MWIDTH_MAPS         (8*7+10)
#define MWIDTH_COLORS       (8*13+10+COMMWIDTH)
#define MWIDTH_EDIT         (8*13+10+COMMWIDTH)
#define MWIDTH_PLANE        (8*9+10+COMMWIDTH)
#define MWIDTH_MERCATOR     (8*9+10+COMMWIDTH)
#define MWIDTH_GLOBE        (8*9+10+COMMWIDTH)
#define MWIDTH_SPHERE       (8*9+10+COMMWIDTH)
#define MWIDTH_BOXES        (8*13+10+COMMWIDTH)
#define DETAIL_LEVEL_WIDTH  (8*12+CHECKWIDTH+5)
#define DETAIL_LEVEL_HEIGHT 10
#define COLOR_HEIGHT        10
#define COLOR_WIDTH         (CHECKWIDTH+COLOR_HEIGHT+5)

/* =============== MenuItem comparison values =============== */

#define HELP_TYPE          ((100*PROJECT+HELP)*100)
#define SAVEIT_TYPE        ((100*PROJECT+SAVEIT)*100)
#define SAVE_CONFIG_TYPE   ((100*PROJECT+SAVE_CONFIG)*100)
#define PRINT_TYPE         ((100*PROJECT+PRINT)*100)
#define CLEARS_TYPE        ((100*PROJECT+CLEARS)*100)

#define COASTLINES_TYPE    ((100*BOUNDARIES+COASTLINES)*100)
#define COUNTRIES_TYPE     ((100*BOUNDARIES+COUNTRIES)*100)
#define STATES_TYPE        ((100*BOUNDARIES+STATES)*100)
#define ISLANDS_TYPE       ((100*BOUNDARIES+ISLANDS)*100)
#define LAKES_TYPE         ((100*BOUNDARIES+LAKES)*100)
#define RIVERS_TYPE        ((100*BOUNDARIES+RIVERS)*100)

#define HIGH_TYPE          ((100*BOUNDARIES+DETAIL_LEVEL)*100+HIGH)
#define MED_HIGH_TYPE      ((100*BOUNDARIES+DETAIL_LEVEL)*100+MED_HIGH)
#define MEDIUM_TYPE        ((100*BOUNDARIES+DETAIL_LEVEL)*100+MEDIUM)
#define MED_LOW_TYPE       ((100*BOUNDARIES+DETAIL_LEVEL)*100+MED_LOW)
#define LOW_TYPE           ((100*BOUNDARIES+DETAIL_LEVEL)*100+LOW)

#define FLAT_TYPE          ((100*MAPS+PLANE)*100+FLAT)
#define MERCATOR_TYPE      ((100*MAPS+PLANE)*100+MERCATOR)
#define GLOBE_TYPE         ((100*MAPS+SPHERE)*100+GLOBE)
#define ORBITAL_TYPE       ((100*MAPS+SPHERE)*100+ORBITAL)
#define ZOOM_IN_TYPE       ((100*MAPS+SPHERE)*100+ZOOM_IN)
#define ZOOM_OUT_TYPE      ((100*MAPS+SPHERE)*100+ZOOM_OUT)
#define BOX_TYPE           ((100*MAPS+BOXES)*100+BOX)
#define BOX_ZOOM_IN_TYPE   ((100*MAPS+BOXES)*100+BOX_ZOOM_IN)
#define BOX_ZOOM_OUT_TYPE  ((100*MAPS+BOXES)*100+BOX_ZOOM_OUT)
#define REDRAW_TYPE        ((100*MAPS+REDRAW)*100)

#define PALETTE_TYPE       ((100*COLORS+PALETTE)*100)
#define RESET_COLOR_TYPE   ((100*COLORS+RESET_COLOR)*100)
#define FLOOD_COLOR_TYPE   ((100*COLORS+FLOOD_COLOR)*100)
#define LINE_COLOR_TYPE    ((100*COLORS+LINE_COLOR)*100)
#define TEXT_COLOR_TYPE    ((100*COLORS+TEXT_COLOR)*100)
#define COAST_COLOR_TYPE   ((100*COLORS+COAST_COLOR)*100)
#define COUNTRY_COLOR_TYPE ((100*COLORS+COUNTRY_COLOR)*100)
#define STATE_COLOR_TYPE   ((100*COLORS+STATE_COLOR)*100)
#define ISLAND_COLOR_TYPE  ((100*COLORS+ISLAND_COLOR)*100)
#define LAKE_COLOR_TYPE    ((100*COLORS+LAKE_COLOR)*100)
#define RIVER_COLOR_TYPE   ((100*COLORS+RIVER_COLOR)*100)

#define GRID_TYPE          ((100*EDIT+GRID)*100)
#define FLOOD_TYPE         ((100*EDIT+FLOOD)*100)
#define DRAW_LINE_TYPE     ((100*EDIT+DRAW_LINE)*100)
#define SHADOW_TYPE        ((100*EDIT+SHADOW)*100)
#define TEXT_TYPE          ((100*EDIT+TEXT)*100)
#define TTOGGLE_TYPE       ((100*EDIT+FLOOD)*100)

/* ======================== IntuiTexts ==================== */

struct IntuiText text_PROJECT[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Help",         NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Save Map",     NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Save Config",  NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Print Map",    NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Clear Screen", NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Quit",         NULL }
};

struct IntuiText text_BOUNDARIES[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Coastlines",   NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Countries",    NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   States",       NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Islands",      NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Lakes",        NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Rivers",       NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Detail Level", NULL }
};

struct IntuiText text_MAPS[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Plane",  NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Sphere", NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Boxes",  NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Redraw", NULL }
};

struct IntuiText text_MAPS_PLANE[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Flat",     NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Mercator", NULL }
};

struct IntuiText text_MAPS_SPHERE[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Globe",    NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Orbital",  NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Zoom In",  NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Zoom Out", NULL }
};

struct IntuiText text_MAPS_BOXES[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Box",          NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Box Zoom In",  NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Box Zoom Out", NULL }
};

struct IntuiText text_COLORS[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Palette",         NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Reset Colors",    NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Flood Color",     NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Line Color",      NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Text Color",      NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Coastline Color", NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Country Color",   NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" State Color",     NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Island Color",    NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Lake Color",      NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" River Color",     NULL }
};

struct IntuiText text_DETAIL_LEVEL[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   High",         NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Medium High",  NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Medium",       NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Medium Low",   NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)"   Low",          NULL }
};

struct IntuiText text_EDIT[] = {
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Grid",         NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Flood Fill",   NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Draw Line",    NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Shadow",       NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Text",         NULL },
   { 0,1,JAM1, 0,1, NULL, (UBYTE *)" Toggle Title", NULL }
};

/* =================== Menu Subitem Color Images =============== */

struct Image image[] = {
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0000, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0001, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0002, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0003, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0004, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0005, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0006, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0007, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0008, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x0009, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000a, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000b, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000c, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000d, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000e, NULL },
   { 0,0, COLOR_WIDTH,COLOR_HEIGHT, 0, NULL, 0x0000, 0x000f, NULL }
};

/* ======================== Flood Color SubItems ==================== */

struct MenuItem subitem_COLORS_FLOOD_COLOR[] = {

   { &subitem_COLORS_FLOOD_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_FLOOD_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== Line Color SubItems ===================== */

struct MenuItem subitem_COLORS_LINE_COLOR[] = {

   { &subitem_COLORS_LINE_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LINE_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== Text Color SubItems ===================== */

struct MenuItem subitem_COLORS_TEXT_COLOR[] = {

   { &subitem_COLORS_TEXT_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_TEXT_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== Coastline Color SubItems ============== */

struct MenuItem subitem_COLORS_COAST_COLOR[] = {

   { &subitem_COLORS_COAST_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COAST_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== Country Color SubItems ============== */

struct MenuItem subitem_COLORS_COUNTRY_COLOR[] = {

   { &subitem_COLORS_COUNTRY_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_COUNTRY_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== State Color SubItems ============== */

struct MenuItem subitem_COLORS_STATE_COLOR[] = {

   { &subitem_COLORS_STATE_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_STATE_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== Island Color SubItems ============== */

struct MenuItem subitem_COLORS_ISLAND_COLOR[] = {

   { &subitem_COLORS_ISLAND_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_ISLAND_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== Lake Color SubItems ============== */

struct MenuItem subitem_COLORS_LAKE_COLOR[] = {

   { &subitem_COLORS_LAKE_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_LAKE_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ======================== River Color SubItems ============== */

struct MenuItem subitem_COLORS_RIVER_COLOR[] = {

   { &subitem_COLORS_RIVER_COLOR[1],
     MWIDTH_COLORS,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *)&image[0], (ULONG *)&image[0],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[2],
     MWIDTH_COLORS+COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *)&image[1], (ULONG *)&image[1],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[3],
     MWIDTH_COLORS+2*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<2)), (ULONG *)&image[2], (ULONG *)&image[2],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[4],
     MWIDTH_COLORS+3*COLOR_WIDTH,0, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *)&image[3], (ULONG *)&image[3],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[5],
     MWIDTH_COLORS,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *)&image[4], (ULONG *)&image[4],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[6],
     MWIDTH_COLORS+COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<5)), (ULONG *)&image[5], (ULONG *)&image[5],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[7],
     MWIDTH_COLORS+2*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT | CHECKED,
     (LONG) (~(1<<6)), (ULONG *)&image[6], (ULONG *)&image[6],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[8],
     MWIDTH_COLORS+3*COLOR_WIDTH,COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<7)), (ULONG *)&image[7], (ULONG *)&image[7],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[9],
     MWIDTH_COLORS,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<8)), (ULONG *)&image[8], (ULONG *)&image[8],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[10],
     MWIDTH_COLORS+COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<9)), (ULONG *)&image[9], (ULONG *)&image[9],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[11],
     MWIDTH_COLORS+2*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<10)), (ULONG *)&image[10], (ULONG *)&image[10],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[12],
     MWIDTH_COLORS+3*COLOR_WIDTH,2*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<11)), (ULONG *)&image[11], (ULONG *)&image[11],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[13],
     MWIDTH_COLORS,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<12)), (ULONG *)&image[12], (ULONG *)&image[12],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[14],
     MWIDTH_COLORS+COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<13)), (ULONG *)&image[13], (ULONG *)&image[13],
     NULL, NULL, MENUNULL },

   { &subitem_COLORS_RIVER_COLOR[15],
     MWIDTH_COLORS+2*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<14)), (ULONG *)&image[14], (ULONG *)&image[14],
     NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_COLORS+3*COLOR_WIDTH,3*COLOR_HEIGHT, COLOR_WIDTH,COLOR_HEIGHT,
     ITEMENABLED | HIGHBOX | CHECKIT,
     (LONG) (~(1<<15)), (ULONG *)&image[15], (ULONG *)&image[15],
     NULL, NULL, MENUNULL }

};

/* ================================================================= */

struct MenuItem subitem_MAPS_PLANE[] = {

   { &subitem_MAPS_PLANE[1], MWIDTH_MAPS,10*FLAT, MWIDTH_MERCATOR,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_MAPS_PLANE[0], NULL, 'F', NULL, MENUNULL },

   { NULL,                   MWIDTH_MAPS,10*MERCATOR, MWIDTH_MERCATOR,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_MAPS_PLANE[1], NULL, 'M', NULL, MENUNULL }

};

struct MenuItem subitem_MAPS_SPHERE[] = {

   { &subitem_MAPS_SPHERE[1], MWIDTH_MAPS,10*GLOBE, MWIDTH_GLOBE,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_MAPS_SPHERE[0], NULL, 'G', NULL, MENUNULL },

   { &subitem_MAPS_SPHERE[2], MWIDTH_MAPS,10*ORBITAL, MWIDTH_GLOBE,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_MAPS_SPHERE[1], NULL, 'O', NULL, MENUNULL },

   { &subitem_MAPS_SPHERE[3], MWIDTH_MAPS,10*ZOOM_IN, MWIDTH_GLOBE,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS_SPHERE[2], NULL, NULL, NULL, MENUNULL },

   { NULL,                    MWIDTH_MAPS,10*ZOOM_OUT, MWIDTH_GLOBE,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS_SPHERE[3], NULL, NULL, NULL, MENUNULL }

};

struct MenuItem subitem_MAPS_BOXES[] = {

   { &subitem_MAPS_BOXES[1], MWIDTH_MAPS,10*BOX, MWIDTH_BOXES,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_MAPS_BOXES[0], NULL, 'B', NULL, MENUNULL },

   { &subitem_MAPS_BOXES[2], MWIDTH_MAPS,10*BOX_ZOOM_IN, MWIDTH_BOXES,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS_BOXES[1], NULL, NULL, NULL, MENUNULL },

   { NULL,                   MWIDTH_MAPS,10*BOX_ZOOM_OUT, MWIDTH_BOXES,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS_BOXES[2], NULL, NULL, NULL, MENUNULL }

};

struct MenuItem subitem_BOUNDARIES_DETAIL_LEVEL[] = {

   { &subitem_BOUNDARIES_DETAIL_LEVEL[1],
     MWIDTH_BOUNDARIES, 0,
     DETAIL_LEVEL_WIDTH, DETAIL_LEVEL_HEIGHT,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | CHECKIT,
     (LONG) (~(1<<0)), (ULONG *) &text_DETAIL_LEVEL[0],
     NULL, NULL, NULL, MENUNULL },

   { &subitem_BOUNDARIES_DETAIL_LEVEL[2],
     MWIDTH_BOUNDARIES, DETAIL_LEVEL_HEIGHT,
     DETAIL_LEVEL_WIDTH, DETAIL_LEVEL_HEIGHT,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | CHECKIT,
     (LONG) (~(1<<1)), (ULONG *) &text_DETAIL_LEVEL[1],
     NULL, NULL, NULL, MENUNULL },

   { &subitem_BOUNDARIES_DETAIL_LEVEL[3],
     MWIDTH_BOUNDARIES, 2*DETAIL_LEVEL_HEIGHT,
     DETAIL_LEVEL_WIDTH, DETAIL_LEVEL_HEIGHT,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | CHECKIT | CHECKED,
     (LONG) (~(1<<2)), (ULONG *) &text_DETAIL_LEVEL[2],
     NULL, NULL, NULL, MENUNULL },

   { &subitem_BOUNDARIES_DETAIL_LEVEL[4],
     MWIDTH_BOUNDARIES, 3*DETAIL_LEVEL_HEIGHT,
     DETAIL_LEVEL_WIDTH, DETAIL_LEVEL_HEIGHT,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | CHECKIT,
     (LONG) (~(1<<3)), (ULONG *) &text_DETAIL_LEVEL[3],
     NULL, NULL, NULL, MENUNULL },

   { NULL,
     MWIDTH_BOUNDARIES, 4*DETAIL_LEVEL_HEIGHT,
     DETAIL_LEVEL_WIDTH, DETAIL_LEVEL_HEIGHT,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | CHECKIT,
     (LONG) (~(1<<4)), (ULONG *) &text_DETAIL_LEVEL[4],
     NULL, NULL, NULL, MENUNULL }

};

/* ======================== MenuItems ==================== */

struct MenuItem menuitem_PROJECT[] = {

   { &menuitem_PROJECT[1], 0,10*HELP, MWIDTH_PROJECT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_PROJECT[0], NULL, 'H', NULL, MENUNULL },

   { &menuitem_PROJECT[2], 0,10*SAVEIT, MWIDTH_PROJECT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_PROJECT[1], NULL, 'S', NULL, MENUNULL },

   { &menuitem_PROJECT[3], 0,10*SAVE_CONFIG, MWIDTH_PROJECT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_PROJECT[2], NULL, NULL, NULL, MENUNULL },

   { &menuitem_PROJECT[4], 0,10*PRINT, MWIDTH_PROJECT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_PROJECT[3], NULL, NULL, NULL, MENUNULL },

   { &menuitem_PROJECT[5], 0,10*CLEARS, MWIDTH_PROJECT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_PROJECT[4], NULL, 'C', NULL, MENUNULL },

   { NULL,                 0,10*QUIT, MWIDTH_PROJECT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_PROJECT[5], NULL, 'Q', NULL, MENUNULL }

};

struct MenuItem menuitem_BOUNDARIES[] = {

   { &menuitem_BOUNDARIES[1], 0, 10*COASTLINES, MWIDTH_BOUNDARIES, 10,
     ITEMTEXT | ITEMENABLED | MENUTOGGLE | HIGHCOMP | CHECKIT | CHECKED,
     0, (ULONG *) &text_BOUNDARIES[0], NULL, NULL, NULL, MENUNULL },

   { &menuitem_BOUNDARIES[2], 0, 10*COUNTRIES, MWIDTH_BOUNDARIES, 10,
     ITEMTEXT | ITEMENABLED | MENUTOGGLE | HIGHCOMP | CHECKIT | CHECKED,
     0, (ULONG *) &text_BOUNDARIES[1], NULL, NULL, NULL, MENUNULL },

   { &menuitem_BOUNDARIES[3], 0, 10*STATES, MWIDTH_BOUNDARIES, 10,
     ITEMTEXT | ITEMENABLED | MENUTOGGLE | HIGHCOMP | CHECKIT | CHECKED,
     0, (ULONG *) &text_BOUNDARIES[2], NULL, NULL, NULL, MENUNULL },

   { &menuitem_BOUNDARIES[4], 0, 10*ISLANDS, MWIDTH_BOUNDARIES, 10,
     ITEMTEXT | ITEMENABLED | MENUTOGGLE | HIGHCOMP | CHECKIT | CHECKED,
     0, (ULONG *) &text_BOUNDARIES[3], NULL, NULL, NULL, MENUNULL },

   { &menuitem_BOUNDARIES[5], 0, 10*LAKES, MWIDTH_BOUNDARIES, 10,
     ITEMTEXT | ITEMENABLED | MENUTOGGLE | HIGHCOMP | CHECKIT | CHECKED,
     0, (ULONG *) &text_BOUNDARIES[4], NULL, NULL, NULL, MENUNULL },

   { &menuitem_BOUNDARIES[6], 0, 10*RIVERS, MWIDTH_BOUNDARIES, 10,
     ITEMTEXT | ITEMENABLED | MENUTOGGLE | HIGHCOMP | CHECKIT | CHECKED,
     0, (ULONG *) &text_BOUNDARIES[5], NULL, NULL, NULL, MENUNULL },

   { NULL,                    0, 10*DETAIL_LEVEL, MWIDTH_BOUNDARIES, 10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *) &text_BOUNDARIES[6], NULL, NULL,
     &subitem_BOUNDARIES_DETAIL_LEVEL[0], MENUNULL }

};

struct MenuItem menuitem_MAPS[] = {

   { &menuitem_MAPS[1], 0,10*PLANE, MWIDTH_MAPS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS[0], NULL, NULL, &subitem_MAPS_PLANE[0], MENUNULL },

   { &menuitem_MAPS[2], 0,10*SPHERE, MWIDTH_MAPS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS[1], NULL, NULL, &subitem_MAPS_SPHERE[0], MENUNULL },

   { &menuitem_MAPS[3], 0,10*BOXES, MWIDTH_MAPS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS[2], NULL, NULL, &subitem_MAPS_BOXES[0], MENUNULL  },

   { NULL,              0,10*REDRAW, MWIDTH_MAPS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_MAPS[3], NULL, NULL, NULL, MENUNULL }

};

struct MenuItem menuitem_COLORS[] = {

   { &menuitem_COLORS[1], 0,10*PALETTE, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_COLORS[0], NULL, 'P', NULL, MENUNULL },

   { &menuitem_COLORS[2], 0,10*RESET_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_COLORS[1], NULL, 'R', NULL, MENUNULL },

   { &menuitem_COLORS[3], 0,10*FLOOD_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[2], NULL, NULL, &subitem_COLORS_FLOOD_COLOR[0],
     MENUNULL },

   { &menuitem_COLORS[4], 0,10*LINE_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[3], NULL, NULL, &subitem_COLORS_LINE_COLOR[0],
     MENUNULL },

   { &menuitem_COLORS[5], 0,10*TEXT_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[4], NULL, NULL, &subitem_COLORS_TEXT_COLOR[0],
     MENUNULL },

   { &menuitem_COLORS[6], 0,10*COAST_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[5], NULL, NULL, &subitem_COLORS_COAST_COLOR[0],
     MENUNULL },

   { &menuitem_COLORS[7], 0,10*COUNTRY_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[6], NULL, NULL, &subitem_COLORS_COUNTRY_COLOR[0],
     MENUNULL },

   { &menuitem_COLORS[8], 0,10*STATE_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[7], NULL, NULL, &subitem_COLORS_STATE_COLOR[0],
     MENUNULL },

   { &menuitem_COLORS[9], 0,10*ISLAND_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[8], NULL, NULL, &subitem_COLORS_ISLAND_COLOR[0],
     MENUNULL },

   { &menuitem_COLORS[10], 0,10*LAKE_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[9], NULL, NULL, &subitem_COLORS_LAKE_COLOR[0],
     MENUNULL },

   { NULL,                 0,10*RIVER_COLOR, MWIDTH_COLORS,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_COLORS[10], NULL, NULL, &subitem_COLORS_RIVER_COLOR[0],
     MENUNULL }

};

struct MenuItem menuitem_EDIT[] = {

   { &menuitem_EDIT[1], 0,10*GRID, MWIDTH_EDIT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_EDIT[0], NULL, NULL, NULL, MENUNULL },

   { &menuitem_EDIT[2], 0,10*FLOOD, MWIDTH_EDIT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_EDIT[1], NULL, NULL, NULL, MENUNULL },

   { &menuitem_EDIT[3], 0,10*DRAW_LINE, MWIDTH_EDIT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_EDIT[2], NULL, NULL, NULL, MENUNULL },

   { &menuitem_EDIT[4], 0,10*SHADOW, MWIDTH_EDIT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_EDIT[3], NULL, NULL, NULL, MENUNULL },

   { &menuitem_EDIT[5], 0,10*TEXT, MWIDTH_EDIT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP,
     0, (ULONG *)&text_EDIT[4], NULL, NULL, NULL, MENUNULL },

   { NULL,              0,10*TTOGGLE, MWIDTH_EDIT,10,
     ITEMTEXT | ITEMENABLED | HIGHCOMP | COMMSEQ,
     0, (ULONG *)&text_EDIT[5], NULL, 'T', NULL, MENUNULL }

};

/* ======================== Menus ==================== */

struct Menu menu[] = {

   { &menu[1],   0,0,  80,0, MENUENABLED, " Project", &menuitem_PROJECT[0] },
   { &menu[2],  80,0, 105,0, MENUENABLED, " Boundaries",
                                                   &menuitem_BOUNDARIES[0] },
   { &menu[3], 185,0,  55,0, MENUENABLED, " Maps",    &menuitem_MAPS[0] },
   { &menu[4], 240,0,  75,0, MENUENABLED, " Colors",  &menuitem_COLORS[0] },
   { NULL,     315,0,  55,0, MENUENABLED, " Edit",    &menuitem_EDIT[0] }

};
